org.codehaus.groovy.tools.groovydoc

## Interface OutputTool

- All Known Implementing Classes:
    FileOutputTool, MockOutputTool

      public interface OutputTool

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `makeOutputArea(java.lang.String filename)`
    `void` | `writeToOutput(java.lang.String fileName, java.lang.String text, java.lang.String charset)`

- - ### Method Detail

    - #### makeOutputArea

          void makeOutputArea(java.lang.String filename)

    - #### writeToOutput

          void writeToOutput(java.lang.String fileName,
                             java.lang.String text,
                             java.lang.String charset)
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`